PagesRetrieve a list of pages

Retrieve a list of pages

curl -X GET "https://www.my-site.com/api/site/v2/pages?per_page=20&page=1&sort_type=created_at&sort_order=desc&filter=%7B%22slug%22%3A%22my-page%22%7D" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY"
{}
GET
/pages
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
query
per_pageinteger

Number of results to retrieve, maximum of 500

query
pageinteger

Page number to retrieve, used with per_page

query
sort_typestring

Property by which to sort results

query
sort_orderstring

Order of results (asc or desc)

query
filterobject

Filter pages by field values

Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Query Parameters

per_pageinteger

Number of results to retrieve, maximum of 500

Example:
20
pageinteger

Page number to retrieve, used with per_page

Example:
1
sort_typestring

Property by which to sort results

Example:
created_at
sort_orderstring

Order of results (asc or desc)

Example:
desc
filterobject

Filter pages by field values

Examples:
{"slug":"my-page"}Exact match on slug
{"layout":"application"}Exact match on layout
{"request_method":"GET"}Exact match on request_method
{"content":"hello world"}Content contains a string
{"created_at":{"gt":1700000000}}Created after a unix timestamp
{"updated_at":{"gte":1700000000,"lte":1800000000}}Updated between two unix timestamps
{"deleted_at":{"exists":true}}Has a deleted_at value (i.e. is soft-deleted)
{"metadata[attributes][0][key]":"color","metadata[attributes][0][value]":"blue"}Filter by metadata attribute key/value

Responses

OK